Skip to content

Create a submission

You call thislisting:self

POST
/v1/listing/submissions
curl --request POST \
--url https://api.zentail.com/v1/listing/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "submissions": [ { "submissionId": 1, "sku": "example", "contentSent": "example", "contentReceived": "example", "metadata": { "additionalProperty": "example" }, "type": "example", "successful": true, "preparedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z", "acknowledgedAt": "2026-04-15T12:00:00Z" } ] }'

This endpoint is used to create a submission for a listing. Submissions represent data sent or ingested into the integrators system. It is purely to provide greater insight into sellers actions and to provide a way to track the status of data sent or received.

Media typeapplication/json
object
submissions
required
Array<object>
object
submissionId

The ID generated by Zentail when the submission is created. Do not provide when creating submissions.

integer
sku
required

The SKU of the listing that was submitted

string
contentSent
required
string
contentReceived
string
metadata
object
key
additional properties
string
type
required

The type of submission, this can be something like what api or system the data was sent to or something more generic like ‘inventory’

string
successful
required
boolean
preparedAt
required
string format: date-time
submittedAt
required
string format: date-time
acknowledgedAt
required
string format: date-time
Examplegenerated
{
"submissions": [
{
"submissionId": 1,
"sku": "example",
"contentSent": "example",
"contentReceived": "example",
"metadata": {
"additionalProperty": "example"
},
"type": "example",
"successful": true,
"preparedAt": "2026-04-15T12:00:00Z",
"submittedAt": "2026-04-15T12:00:00Z",
"acknowledgedAt": "2026-04-15T12:00:00Z"
}
]
}

Success

Media typeapplication/json
object
submissions
Array<object>
object
submissionId

The ID generated by Zentail when the submission is created. Do not provide when creating submissions.

integer
sku
required

The SKU of the listing that was submitted

string
contentSent
required
string
contentReceived
string
metadata
object
key
additional properties
string
type
required

The type of submission, this can be something like what api or system the data was sent to or something more generic like ‘inventory’

string
successful
required
boolean
preparedAt
required
string format: date-time
submittedAt
required
string format: date-time
acknowledgedAt
required
string format: date-time
Examplegenerated
{
"submissions": [
{
"submissionId": 1,
"sku": "example",
"contentSent": "example",
"contentReceived": "example",
"metadata": {
"additionalProperty": "example"
},
"type": "example",
"successful": true,
"preparedAt": "2026-04-15T12:00:00Z",
"submittedAt": "2026-04-15T12:00:00Z",
"acknowledgedAt": "2026-04-15T12:00:00Z"
}
]
}

Bad Request

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 400
}

Permission Denied

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 403
}

Not Found

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 404
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{
"errorCode": 500
}

Zentail Error

Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{
"errorCode": 503
}

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog